patches for DPDK stable branches
 help / color / mirror / Atom feed
* [dpdk-stable] [PATCH] build: provide suitable error for "both" libraries option
@ 2021-01-11 13:55 Bruce Richardson
  2021-01-11 16:19 ` Andrew Boyer
  2021-01-11 17:40 ` Honnappa Nagarahalli
  0 siblings, 2 replies; 5+ messages in thread
From: Bruce Richardson @ 2021-01-11 13:55 UTC (permalink / raw)
  To: dev; +Cc: thomas, aboyer, Honnappa.Nagarahalli, Bruce Richardson, stable

Rather than having the DPDK configuration error out when linking apps
and examples when "both" is select for "default_library" option, we can
detect that setting earlier in the build config and provide a suitable
error message to the user.

CC: stable@dpdk.org

Signed-off-by: Bruce Richardson <bruce.richardson@intel.com>
---
 config/meson.build | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/config/meson.build b/config/meson.build
index 3ddcc3539..05e9cede5 100644
--- a/config/meson.build
+++ b/config/meson.build
@@ -308,3 +308,12 @@ if get_option('b_lto')
 		add_project_link_arguments('-Wno-lto-type-mismatch', language: 'c')
 	endif
 endif
+
+if get_option('default_library') == 'both'
+	error( '''
+    Unsupported value "both" for "default_library" option.
+
+    NOTE: DPDK always builds both shared and static libraries.  Please set
+    "default_library" to either "static" or "shared" to select default linkage
+    for apps and any examples''')
+endif
--
2.27.0


^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2021-01-20  0:49 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-01-11 13:55 [dpdk-stable] [PATCH] build: provide suitable error for "both" libraries option Bruce Richardson
2021-01-11 16:19 ` Andrew Boyer
2021-01-11 16:57   ` Bruce Richardson
2021-01-20  0:49   ` Thomas Monjalon
2021-01-11 17:40 ` Honnappa Nagarahalli

patches for DPDK stable branches

This inbox may be cloned and mirrored by anyone:

	git clone --mirror https://inbox.dpdk.org/stable/0 stable/git/0.git

	# If you have public-inbox 1.1+ installed, you may
	# initialize and index your mirror using the following commands:
	public-inbox-init -V2 stable stable/ https://inbox.dpdk.org/stable \
		stable@dpdk.org
	public-inbox-index stable

Example config snippet for mirrors.
Newsgroup available over NNTP:
	nntp://inbox.dpdk.org/inbox.dpdk.stable


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git